#ifndef __pty__h
#define __pty__h

#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#define MAXLINE 4096             // Max Line Length

// Default file permissions for new files
#define FILE_MODE (S_IRUSR | S_IWUSR | S_IRGRP | S_IROTH)
// Default directory permissions for new directories
#define DIR_MODE (FILE_MODE | S_IXUSR | S_IXGRP | S_IXOTH)
typedef void Sigfunc(int);

// Function Declations
Sigfunc *signal_intr(int, Sigfunc *);
int s_pipe(int *);
struct termios *tty_termios(void);
ssize_t writen(int, const void *, size_t);
int ptym_open(char *);
int ptys_open(int, char *);
pid_t pty_fork(int *, char *, const struct termios *, const struct winsize *);

#endif /* __pty__h */
